package nckd.jxccl.sit.hcsi.formplugin.web.file;

import kd.bos.form.events.BeforeCreateListDataProviderArgs;
import kd.bos.list.plugin.AbstractListPlugin;
import kd.sdk.plugin.Plugin;

/**
 * Tyx 2026-01-06
 * 社保档案列表插件，查询入职日期，离职日期，党政职务，技术职称
 */
public class SinsurFileListEx extends AbstractListPlugin implements Plugin {

    @Override
    public void beforeCreateListDataProvider(BeforeCreateListDataProviderArgs args) {
        super.beforeCreateListDataProvider(args);
        args.setListDataProvider(new SinsurFileListDataProviderEx());
    }
}